package com.dragonsoft.dcuc.approve.enumresources;

import com.dragonsoft.duceap.base.enums.ICodeEnum;

/**
 * <p>
 * 审批管理类型
 * </p>
 *
 * @author huangzqa
 * @date 2023/5/22
 */
public enum ZeroTrustApproveManageEnum implements ICodeEnum {
    /**
     * 撤销
     */
    CANCEL("01", "撤销"),

    /**
     * 挂起
     */
    HOLD("02", "挂起"),

    /**
     * 终止
     */
    STOP("03", "终止"),

    /**
     * 激活
     */
    ACTIVE("04", "激活"),

    ;
    private final String value;

    private final String label;

    ZeroTrustApproveManageEnum(String value, String label) {
        this.value = value;
        this.label = label;
    }

    @Override
    public String getValue() {
        return this.value;
    }

    @Override
    public String getLabel() {
        return this.label;
    }

    public ApproveWorkFlowOperationEnum toApproveWorkFlowOperationEnum() {
        switch (this) {
            case CANCEL:
                return ApproveWorkFlowOperationEnum.RECALL;
            case HOLD:
            case STOP:
            case ACTIVE:
            default:
                return null;
        }

    }
}
